<?php $r="../";
require_once($r."inc/funciones.php");
validNotSession($r);
$spe=$_SESSION['perfil'];
$mysqli = connectDB($r);
$star='<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>';
$end='</h6></div>';
/* FORMULARIO NUEVO */
if(isset($_POST["factura"])){
    $factura=$_POST['factura'];
    $codigo=$_POST['codigo'];
    if($codigo==""){echo "../index.php?";exit();}
    if($factura==""){echo "$star Es necesario el codigo Factura $end";exit();}
    $factura=mysqli_real_escape_string($mysqli, $factura);
    $codigo=mysqli_real_escape_string($mysqli, $codigo);
    $mysqli->query("UPDATE z_pedidos SET codigofactura='$factura' WHERE codigopedido='$codigo'");
    echo "por-assignar.php?msn=Se a assignado correctamente el N° factura $factura al codigo N° $codigo";exit();
}
if(isset($_FILES["soporte"])){
    $soporte=$_FILES['soporte'];
    $codigo=$_POST['codigo'];
    if($codigo==""){echo "../index.php?";exit();}
    if($soporte==""){echo "$star Es necesario el codigo Factura $end";exit();}
    if($_FILES['soporte']!=""){
    //Validamos si la ruta de destino existe, en caso de no existir la creamos
			$filename = $_FILES["soporte"]["name"]; //Obtenemos el nombre original del archivo
			$source = $_FILES["soporte"]["tmp_name"]; //Obtenemos un nombre temporal del archivo
			$ext = pathinfo($filename, PATHINFO_EXTENSION); //extencfiom un nombre temporal del archivo
            $now =  strtotime('now');

			
			$directorio = $r."factura/archivos/"; //Declaramos un  variable con la ruta donde guardaremos los archivos
			
			//Validamos si la ruta de destino existe, en caso de no existir la creamos
			if(!file_exists($directorio)){
				mkdir($directorio, 0777) or die("No se puede crear el directorio de extracci&oacute;n");	
			}
			$dir=opendir($directorio); //Abrimos el directorio de destino
            $target_path = $directorio.$now.'.'.$ext;
			
			//Movemos y validamos que el archivo se haya cargado correctamente
			//El primer campo es el origen y el segundo el destino
			move_uploaded_file($source, $target_path);
    }
    $codigo=mysqli_real_escape_string($mysqli, $codigo);
    $mysqli->query("UPDATE z_pedidos SET soporte='$target_path' WHERE codigopedido='$codigo'");
    echo "por-assignar.php?msn=Se a cargado correctamente el soporte al codigo N° $codigo";exit();
}
echo "$star Es necesario el llenar todos los campos $end";exit();

?>